%define major 0
%define rname bsd
%define libname %mklibname %{rname} %{major}
%define libnamedev %mklibname %{rname} -d

Name:		libbsd
Summary:	Library providing BSD-compatible functions for portability
Group:		System/Libraries
Version:	0.8.3
Release:	%mkrel 1
License:	BSD and ISC and Copyright only and Public Domain
URL:		http://libbsd.freedesktop.org/
Source0:	http://libbsd.freedesktop.org/releases/%{name}-%{version}.tar.xz

%description
libbsd provides useful functions commonly found on BSD systems, and
lacking on others like GNU systems, thus making it easier to port
projects with strong BSD origins, without needing to embed the same
code over and over again on each project.

%package -n %{libname}
Summary:	libbsdb libary
Group:		System/Libraries
Conflicts:	libbsd

%description -n %{libname}
libbsd libary.

%files -n %{libname}
%{_libdir}/lib%{rname}.so.%{major}{,.*}

#--------------------------------------------------------------------
%package -n %{libnamedev}
Summary:	Development files for libbsd
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for the libbsd library.

%files -n %{libnamedev}
%doc ChangeLog COPYING README TODO
%{_mandir}/man3/*
%{_includedir}/%{rname}/
%{_libdir}/lib%{rname}.so
%{_libdir}/libbsd-ctor.a
%{_libdir}/pkgconfig/lib%{rname}*.pc

#--------------------------------------------------------------------
%prep
%setup -q

%build
%configure2_5x \
    --disable-static
%make

%install
%makeinstall_std
# clean .la files
rm %{buildroot}%{_libdir}/libbsd.la


%changelog
* Tue May 10 2016 tv <tv> 0.8.3-1.mga6
+ Revision: 1012105
- new release

* Wed Jan 27 2016 luigiwalser <luigiwalser> 0.8.2-1.mga6
+ Revision: 928251
- 0.8.2

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 741629
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 681355
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 tv <tv> 0.7.0-1.mga5
+ Revision: 671788
- new release

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 531290
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 fwang <fwang> 0.6.0-1.mga4
+ Revision: 462821
- new version 0.6.0

* Sat Jan 12 2013 umeabot <umeabot> 0.4.2-2.mga3
+ Revision: 356875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 pterjan <pterjan> 0.4.2-1.mga3
+ Revision: 269338
- Update to 0.4.2

* Fri Jun 15 2012 shlomif <shlomif> 0.4.1-2.mga3
+ Revision: 260850
- Get lib64bsd to work properly. Thanks to simplew.

* Fri Jun 08 2012 shlomif <shlomif> 0.4.1-1.mga3
+ Revision: 257988
- New version: 0.4.1

* Wed Jun 06 2012 shlomif <shlomif> 0.3.0-4.mga3
+ Revision: 256602
- Correct the devel package Group
- Correct the group
- Bump the release
- Fix the man pages globs

  + kamil <kamil>
    - imported package libbsd

